# Artisanft

This module contains a list of functions and helpers used to create project generators.

For more info use the full documentation: https://ideonetwork.github.io/artisanft

## Installation

To install the module run:

```console
npm install artisanft
```

## Usage

There are a lot of functions that can be used. To get a list of them watch the documentation page.

An example f usage should be:

```javascript

const Artisanft = require('artisanft')

// write a console log about what the application is doing
Artisanft.Logger.logActionInit('Installing express')
// run a specific command inside the current path
Artisanft.Command.runSync('npm install -g express')
// notify the user about the end of the execution
Artisanft.Logger.logActionEnd('Installing express')

```

## TODO

- Unit tests